Results 1 to 6 of 6

Thread: How to Install the Latest version of Gcompris

  1. #1
    Join Date
    Mar 2007
    Beans
    31

    Lightbulb How to Install the Latest version of Gcompris

    GCompris is a high quality educational software suite comprising of numerous activities for children aged 2 to 10. It's translated into over 40 languages. I use it to learn other languages and the kid can use it too . As of Oct/01/2009 GCompris in the Jaunty repositories doesn't work. It's an old version with an unsatisfied dependency. Installing python-numeric will fix it.
    Code:
    sudo apt-get install python-numeric but this only give you an experimental version. It would be better to install the latest version, which is easier said than done. Here is a method that worked for me.
    Download gcompris from http:////sourceforge.net/project/dow....gz&a=93275535
    while that is downloading open a terminal and run these commands to get all dependencies met :you@yourComputer~$ sudo apt-get install libgnet-dev libgnet2.0-0 python-pysqlite2 and
    you@yourComputer~$ sudo apt-get build-dep gcompris
    After the download completes change to the directory where you downloaded compris-8.4.12.tar.gz you@yourComputer~$ cd /wher/ever/it/is/gccompris-8.4.12.tar.gz
    you@yourComputer~$tar -xvf gcompris-X.X.tar.gz
    you@yourComputer~$cd gcompris-x.x.x
    you@yourComputer~$sh configure
    you@yourComputer~$sudo make
    you@yourComputer~$sudo make install
    Now test the install to see that it's working properly
    you@yourComputer~$gcompris
    You can create a lancher icon using the launcher.

  2. #2
    Join Date
    Sep 2007
    Beans
    207

    Re: How to Install the Latest version of Gcompris

    Thank you for this info. I haven't upgraded my laptop yet, but my kids love Gcompris and they'd be quite upset if I upgraded and broke the program.

  3. #3
    Join Date
    Sep 2007
    Location
    Barcelona, Spain
    Beans
    83
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: How to Install the Latest version of Gcompris

    Thanks for the walk-through. Very useful!

  4. #4
    Join Date
    Feb 2009
    Location
    Jerusalem, Israel
    Beans
    5
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How to Install the Latest version of Gcompris

    Thanks but I consistently get the error message:
    config.status: error: cannot find input file: `autopackage/Makefile.in'
    at the end of "configure",
    Any hint ?

  5. #5
    Join Date
    Jan 2009
    Location
    New Oxford PA, USA
    Beans
    19
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How to Install the Latest version of Gcompris

    I was able to install gcompris 11.12 on Ubuntu 11.10 using this information. And again later on a second Ubuntu 11.10 64 bit machine.Everything works. At least with gCompris, I have not to this point noticed any problems with my Ubuntu 11.10. The installation upgraded 9.6.1 to 11.12.

    sudo apt-get install libgnet-dev libgnet2.0-0 python-pysqlite2

    and (I did have to build the dependencies)

    Download the archive gcompris-X.X.tar.gz then:
    tar -xvf gcompris-X.X.tar.gz
    cd gcompris-X.X
    sh configure
    Analyse, the errors, install the missing dependancies. Often you will have to install the -devel packages on your distribution. On Ubuntu or Debian, you can get all the build dependancies with the command ’apt-get build-dep gcompris’.

    Then run:
    make
    make install
    Last edited by Jlb181; December 28th, 2011 at 10:52 PM. Reason: Add info about 64 bit install

  6. #6
    Join Date
    Nov 2009
    Location
    Focsani, RO
    Beans
    21
    Distro
    Xubuntu 13.04 Raring Ringtail

    Re: How to Install the Latest version of Gcompris

    Works for me too, as Jlb181 describes. Well done.
    Xubuntu 11.10
    Kubuntu 14.04

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •